// BarPlot.stories.tsx
import React from 'react';
import { Meta, Story } from '@storybook/react';
import BarPlot, { BarPlotProps } from '.';

const Component: Meta<typeof BarPlot> = {
  title: 'Visual charts/Charts/BarPlot',
  component: BarPlot,
  decorators: [(story) => <div style={{ width: '100%', height: '100vh' }}>{story()}</div>],
};

export default Component;

export const CategoricalData = {
  args: {
    data: [
      { category: 'Category A', count: 10 },
      { category: 'Category B', count: 20 },
      { category: 'Category C', count: 15 },
    ],
    numBins: 5,
    typeBarPlot: 'categorical',
  },
};

export const NumericalData = {
  args: {
    data: [
      { category: 'Data Point 1', count: 3 },
      { category: 'Data Point 2', count: 7 },
      { category: 'Data Point 3', count: 2 },
      { category: 'Data Point 4', count: 5 },
      { category: 'Data Point 5', count: 8 },
    ],
    numBins: 5,
    typeBarPlot: 'numerical',
  },
};
