import * as Icons from '@mui/icons-material';
import { ElementType, SVGProps } from 'react';

export type Sizes = 16 | 20 | 24 | 28 | 32 | 40;

export type IconProps = SVGProps<SVGSVGElement> & {
  name: string;
  size?: Sizes;
};

export const Icon: React.FC<IconProps> = ({ name, size = 24, ...props }) => {
  const IconComponent = (Icons as { [index: string]: ElementType })[name];

  if (!IconComponent) {
    console.error(`No icon found for name: ${name}`);
    return null;
  }

  return <IconComponent style={{ fontSize: size }} width={size} height={size} {...props} />;
};

export default Icon;
