import React from 'react';
import type { Meta, StoryObj } from '@storybook/react';
import { DropDown } from '.';

const Component: Meta<typeof DropDown> = {
  title: 'Components/Inputs',
  component: DropDown,
  argTypes: { onChange: {} },
  decorators: [(Story) => <div className="w-52 m-5">{Story()}</div>],
};

export default Component;
type Story = StoryObj<typeof Component>;

export const DropdownInput: Story = {
  args: {
    type: 'dropdown',
    label: 'Select component',
    options: ['Option 1', 'Option 2'],
    onChange: (value) => {},
  },
};
