import React, { useState } from 'react';
import type { Meta, StoryObj } from '@storybook/react';
import { Radio } from '.';

const Component: Meta<typeof Radio> = {
  title: 'Components/Inputs',
  component: Radio,
  argTypes: { onChange: { action: 'changed' } },
  decorators: [(Story) => <div className="w-52 m-5">{Story()}</div>],
};

export default Component;
type Story = StoryObj<typeof Component>;

export const RadioInput: Story = (args: any) => {
  const [value, setValue] = useState<string>('');
  return <Radio {...args} value={value} onChange={setValue} />;
};

RadioInput.args = {
  type: 'radio',
  label: 'Radio component',
  options: ['Option 1', 'Option 2'],
};
