import GeoGraph from './graph';
import GeoNode from './node';
import GeoEdge from './edge';

export const createGraph = (nodes: { [key: string]: any }, edges: { [key: string]: any }): GeoGraph => {
  const graph = new GeoGraph();

  const glNodes: GeoNode[] = nodes.map((node: any) => {
    const { id, attributes } = node;
    return new GeoNode({
      id,
      lon: attributes.coordinates[0],
      lat: attributes.coordinates[1],
      data: attributes,
    });
  });
  graph.batchAddNodes(glNodes);

  const glEdges: GeoEdge[] = edges.map((edge: any) => {
    const { id, from, to, directed, attributes } = edge;
    return new GeoEdge({
      id,
      from,
      to,
      directed,
      data: attributes,
    });
  });
  graph.batchAddEdges(glEdges);

  return graph;
};
