import { useAppDispatch, useGraphQueryResult } from '../../data-access/store';
import React, { useEffect, useState } from 'react';
import ReactJSONView from 'react-json-view';

import styles from './rawjsonvis.module.scss';

/* eslint-disable-next-line */
export interface RawJSONVisProps {
  loading?: boolean;
}

export const RawJSONVis = React.memo((props: RawJSONVisProps) => {
  const graphQueryResult = useGraphQueryResult();
  const dispatch = useAppDispatch();
  console.log('update rawjson');

  useEffect(() => {
    console.log('update rawjson useEffect');
  }, [graphQueryResult]);

  useEffect(() => {
    return () => {
      console.log('unloaded RawJSONVis');
    };
  }, []);

  const loading = props.loading;

  return (
    <div>
      {loading && (
        <div
          style={{
            marginTop: '50px',
            paddingLeft: '30px',
          }}
        >
          <svg className={styles.rotating} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 50 50">
            <circle className={styles.ring} cx="25" cy="25" r="20"></circle>
            <circle className={styles.ball} cx="25" cy="5" r="3.5"></circle>
          </svg>
        </div>
      )}
      {!loading && (
        <div style={{ overflowY: 'auto' }}>
          <div
            style={{
              marginTop: '50px',
              paddingLeft: '30px',
            }}
            className="font-mono text-sm"
          >
            <ReactJSONView src={graphQueryResult} collapsed={1} quotesOnKeys={false} displayDataTypes={false} />
          </div>
        </div>
      )}
    </div>
  );
});

RawJSONVis.displayName = 'RawJSONVis';
